<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__hidss__information__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_hidss_information_t</compoundname>
    <includes local="no">cy_ble_hids.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__hidss__information__t_1aa5ddf0842475892008a27c5ac0a8a6d3" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_hidss_information_t::bcdHID</definition>
        <argsstring />
        <name>bcdHID</name>
        <briefdescription>
<para>Version number of HIDSe USB HID Specification implemented by HID Device. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="119" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="119" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__information__t_1aa7becd6d4f4eea488f0f553544969002" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidss_information_t::bCountryCode</definition>
        <argsstring />
        <name>bCountryCode</name>
        <briefdescription>
<para>Identifies for which country hardware is localized for. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="122" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="122" />
      </memberdef>
      <memberdef id="structcy__stc__ble__hidss__information__t_1a4a9df329749561591e28151794cd061d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_hidss_information_t::flags</definition>
        <argsstring />
        <name>flags</name>
        <briefdescription>
<para>Bit 0: RemoteWake - Indicates whether HID Device is capable of sending wake-signal to HID Host. </para>        </briefdescription>
        <detaileddescription>
<para>Bit 1: NormallyConnectable - Indicates whether HID Device will be advertising when bonded but not connected. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="130" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="130" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>HID Information Characteristic value. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="131" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" bodystart="116" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_hids.h" line="117" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__hidss__information__t_1aa5ddf0842475892008a27c5ac0a8a6d3" virt="non-virtual"><scope>cy_stc_ble_hidss_information_t</scope><name>bcdHID</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__information__t_1aa7becd6d4f4eea488f0f553544969002" virt="non-virtual"><scope>cy_stc_ble_hidss_information_t</scope><name>bCountryCode</name></member>
      <member prot="public" refid="structcy__stc__ble__hidss__information__t_1a4a9df329749561591e28151794cd061d" virt="non-virtual"><scope>cy_stc_ble_hidss_information_t</scope><name>flags</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>